using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {           
            My_ListBox x = new My_ListBox();
            x.Items.Add(1);
            x.Items.Add(2);
            My_ListBox y = new My_ListBox();
            y.Items.Add("a");
            y.Items.Add("b");
            My_ListBox z = new My_ListBox();
            z = x + y;
            z.Parent = this;
        }        
    }
    class My_ListBox : ListBox
    {
        public static My_ListBox  operator +(My_ListBox l1, My_ListBox l2)
        {
            My_ListBox l = new My_ListBox();
            l.Items.AddRange(l1.Items);
            l.Items.AddRange(l2.Items);
            return l;
        }
    }    
}
